Bug 847677 - [FEAT] granular entry self-heal
[FEAT] granular entry self-heal
Status: CLOSED NEXTRELEASE
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Pranith Kumar K
: FutureFeature, Tracking
Depends On:
Blocks: 850509 852944 glusterfs-3.6.0
  Show dependency treegraph
 
Reported: 2012-08-13 05:23 EDT by Venky Shankar
Modified: 2016-08-16 09:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 850509 (view as bug list)
Environment:
Last Closed: 2016-08-16 09:08:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Venky Shankar 2012-08-13 05:23:25 EDT
making the entry self-heal granular (i.e. locks taken on basename + file instead of basename) would result in less contention on it and speed up parallel operation that are in progress.
Comment 1 Jeff Darcy 2013-01-22 07:31:13 EST
Removing from 3.4 alpha list (per meeting).
Comment 2 Pranith Kumar K 2014-05-25 06:16:12 EDT
This is already present in afrv2 upstream.
Comment 3 Niels de Vos 2016-08-16 09:08:47 EDT
(In reply to Pranith Kumar K from comment #2)
> This is already present in afrv2 upstream.

This is included in glusterfs-3.7 and beyond.

This bug is being closed as GlusterFS-3.6 is nearing its End-Of-Life and only important security bugs will be fixed. This bug has been fixed in more recent GlusterFS releases. If you still face this bug with the newer GlusterFS versions, please open a new bug.

Note You need to log in before you can comment on or make changes to this bug.